Summary: Tools for creating and maintaining software RAID devices
Name: raidtools
Version: 0.50beta10
Release: 2
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.kernel.org/pub/linux/daemons/raid/raidtools-0.50beta10.tar.gz
Patch: raidtools-0.50-oldmd.patch 
BuildRoot: /var/tmp/raidtools-root
Obsoletes: md, md-tools

%description
This package includes the tools you need to set up and maintain a software RAID
device under Linux.

%prep
%setup -q -n raidtools-0.50
%patch -p1 -b .oldmd

%build
./autogen.sh
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
make ROOTDIR=$RPM_BUILD_ROOT install_bin install_doc
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
  mknod -m 0600 $RPM_BUILD_ROOT/dev/md$i b 9 $i
done

%files
%defattr(-,root,root)
/sbin/*
/usr/man/man5/*
/usr/man/man8/*
/dev/*
%doc COPYING HOWTO INSTALL QuickStart.RAID README raid0.conf.sample raid0_FAQ
%doc raid1.conf.sample raid4.conf.sample raid5.conf.sample raidtab.sample

%changelog
* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- backrev'd to 0.50beta10 (which works with old md)
- patched to actually work with old level md support

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- put some real Summary and description fields
- obsoletes the md and md-tools package that are floating around on the net

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- tweak description/summary for uniqueness.

* Wed Sep 16 1998 Jeff Johnson <jbj@redhat.com>
- repackage for RH 5.2.
